reset
shuffle
Array Functions
PHP Manual

# rsort

(PHP 4, PHP 5, PHP 7)

rsort — Sort an array in reverse order

### Description

bool rsort ( array `&$array` [, int `$sort_flags` = SORT_REGULAR ] )

This function sorts an array in reverse order (highest to lowest).

### Parameters

`array`

  The input array.

`sort_flags`

  You may modify the behavior of the sort using the optional parameter `sort_flags`, for details see sort().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 rsort() example

`<?php
$fruits = array("lemon", "orange", "banana", "apple");
rsort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    0 = orange
    1 = lemon
    2 = banana
    3 = apple

The fruits have been sorted in reverse alphabetical order.

### Notes

> Note: This function assigns new keys to the elements in `array`. It will remove any existing keys that may have been assigned, rather than just reordering the keys.

### See Also

- arsort() - Sort an array in reverse order and maintain index association
- krsort() - Sort an array by key in reverse order
- The comparison of array sorting functions

reset
shuffle
Array Functions
PHP Manual